<?php 

// +----------------------------------------------------------------------+
// | EMS NG Troubleshooting Checker scripts                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2013 VDL-5 Technologies Inc.                           |
// |                                                                      |
// +----------------------------------------------------------------------+
// | Authors: Tamara S Harpster <harpstert@vdl5tech.com                   |
// +----------------------------------------------------------------------+
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
 
// Use this section to define the basic working directories for the tool.
$base_dir = "{ietmdir}";	// Base directory to look for EMS NG IETMs or other XML files
$temp_dir = "{tempdir}";		// Temporary directory used to write files to.

// Cleanup files - the options for the cleanup files are defined here and can be added to
$mainMenuOptions = array();
$mainMenuOptions["checker"]["dir"] = "{installdir}\\EMS_NG_cleanup.txt";
$mainMenuOptions["flowreport"]["dir"] = "{installdir}\\EMS_NG_hot_spots.txt";

$mainMenuOptions["checker"]["descr"] = "EMS NG Troubleshooting Checker";
$mainMenuOptions["flowreport"]["descr"] = "Generate Track Flow Report";

// This defines the choices for the IETMs you want displayed in the tool. 
// If there are more IETMs in the directory, they will be ignored if not defined here
// A key is used to define each IETM. In the items below the M915A5 and HMEE are used as keys
// For each key 2 values are defined. One is a description for readability, the other is the directory 
// below the $base_dir value where the IETM can be found.
$ietms = array();

{ietms}

// Troubleshooting files - the options for the cleanup files are defined here and can be added to
$sortOptions = array();
$sortOptions["T12C"] = "ABS Coded";
$sortOptions["T70N"] = "Earthmoving  Equipment";
$sortOptions["T74N"] = "Earthmoving  Equipment";
$sortOptions["T6C"] = "ECU1 Coded";
$sortOptions["T6N"] = "Electrical";
$sortOptions["T1C"] = "Engine Coded";
$sortOptions["T33N"] = "Non-Coded, Arctic Kit";
$sortOptions["T74N"] = "Non-Coded, Backhoe & Loader";
$sortOptions["T18N"] = "Non-coded, Body, Cabin & Chassis";
$sortOptions["T12N"] = "Non-coded, Brake system";
$sortOptions["T7N"] = "Non-coded, CAN Bus";
$sortOptions["T5N"] = "Non-coded, Cooling System";
$sortOptions["T9N"] = "Non-Coded, Drive Train, axles and Wheels";
$sortOptions["T1N"] = "Non-coded, Engine";
$sortOptions["T3N"] = "Non-coded, Fuel System";
$sortOptions["T24N"] = "Non-coded, Hydraulic System";
$sortOptions["T50N"] = "Non-coded, Pneumatic System";
$sortOptions["T14N"] = "Non-Coded, Steering";
$sortOptions["T16N"] = "Non-coded, Suspension";
$sortOptions["T7N"] = "Non-Coded, Transmission";
$sortOptions["T7C"] = "Transmission Coded";

?>