<?php
// +----------------------------------------------------------------------+
// | EMS NG Troubleshooting Checker scripts                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2013 VDL-5 Technologies Inc.                           |
// |                                                                      |
// +----------------------------------------------------------------------+
// | Authors: Tamara S Harpster <harpstert@vdl5tech.com                   |
// +----------------------------------------------------------------------+
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
// Set defaults for options in case they don't get set. Only exception is setting the file location for the replacement directives, have to have that.
$indir="C:\IETM\HMEEI_IETM\T - Troubleshooting procedures\\";
$logfile="ts_check.log";
$ext=".xml";
$debug = false;
$all_files = array();
$clean_files = array();
$htmlFlag = false;
// Set up an Array to store the messages that are found during the checks
$report = array();

if ($argc > 1) {
	// script is being run from command line so process data accordingly
	// Remember to finish up the File argument at some point in the future
	// Process the argument, set some defaults for directories if they don't get set. 
	for ($i=1;$i<$argc;$i++){
		switch ($argv[$i]) {
			case "-indir":
				$i++;
				$indir= (file_exists(addslashes($argv[$i]))) ? addslashes($argv[$i]) : "\\.";
				$all_files = scanDirectories($indir);
				$clean_files = str_ireplace($indir, "" , $all_files);
				break;
			case "-debug":
				$i++;
				$debug= addslashes($argv[$i]);
				break;
			case "-list":
				$i++;
				$fileList = (file_exists(addslashes($argv[$i]))) ? addslashes($argv[$i]) : "in_files.txt";
				$clean_files = file($fileList, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
				break;
			case "-log":
				$i++;
				if (!(file_exists(addslashes($argv[$i])))) {
					mkdir(addslashes($argv[$i]),0777, true);
				}
				$logfile= addslashes($argv[$i]);
				break;
			default:
		}
	}
} 

foreach ($clean_files as $infile){ 
	$document = implode('',file($indir.$infile, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES));

	$matches = array();
	$flag = preg_match_all  ( "(\<tools-setup-item>.*?</tools-setup-item>)i", $document  , $matches );
	// $flag = preg_match_all  ( "(\;.*?</subsystem-system>)i", $document  , $matches );
	// var_dump($matches);
	
	print "text from file:".trim($indir)."\t".$infile.":\r\n";
	if (($flag != FALSE) && ($flag > 0)) {
		// 1. pull out obj. references, put into array for processing
		// print "file: ".$indir.$infile."\r\n";
		// print "\tWarnings\r\n";
		foreach ($matches[0] as $reference) {
			// Get the graphic file name, which can be used as the main key
			print "\t".$reference."\r\n";
		}	
	} 
	// print "\r\n";
}


// Function used to clean out stuff that DOM XML parser is not fond of, things like DTD reference, entities and such.
function clean_xml($filename){

    // var_dump($filename);
	$document = file_get_contents($filename, 0, NULL, 0, 200000);
	// var_dump($document);
	$search = array(	"'&(.|\n)+?;'i",		// replace html entities
						);
	$replace = array( 	"",
						);
	$text = preg_replace($search,$replace,$document); 

	$search = array(	"'\<\!\-\-ArborText\, Inc\.\, +.* v\.4002\-\-\>'i",
						);
	$replace = array( 	"",
						);
	$text = preg_replace($search,$replace,$text);	

	$search = array(	"'(\<\!ENTITY.*?>)'i",
						);
	$replace = array( 	"",
						);
	$text = preg_replace($search,$replace,$text,110,$count);	

	 // var_dump($text);

	return $text;

}

function scanDirectories($rootDir, $allData=array()) {
global $ext;
    // set filenames invisible if you want
    $invisibleFileNames = array(".", "..", ".htaccess", ".htpasswd", ".svn");
	// print "start of scan directories\r\n";
    // run through content of root directory
    $dirContent = scandir($rootDir);
	// print "after scandir\r\n";
    foreach($dirContent as $key => $content) {
        // filter all files not accessible
		// print "content is".$content."\r\n";
        $path = $rootDir.'/'.$content;
        if(!in_array($content, $invisibleFileNames)) {
            // if content is file & readable, add to array
            if(is_file($path) && stristr($path, $ext) && !stristr($path, ".sgml")&& is_readable($path)) {
                // save file name with path
                $allData[] = $path;
            // if content is a directory and readable, add path and name
            }elseif(is_dir($path) && is_readable($path)) {
                // recursive callback to open new directory
                $allData = scanDirectories($path, $allData);
            }
        }
    }
    return $allData;
}
?>
