<?php
// +----------------------------------------------------------------------+
// | EMS NG Troubleshooting Checker scripts                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2013 VDL-5 Technologies Inc.                           |
// |                                                                      |
// +----------------------------------------------------------------------+
// | Authors: Tamara S Harpster <harpstert@vdl5tech.com                   |
// +----------------------------------------------------------------------+
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

include 'common.inc';
// Set defaults for options in case they don't get set. Only exception is setting the file location for the replacement directives, have to have that.
$indir="C:\\IETM\\build_tools\\check_emsng\\htdocs\\";
$logfile="ts_check.log";
$ext=".xml";
$debug = false;
$all_files = array();
$clean_files = array();
$htmlFlag = false;
// Set up an Array to store the messages that are found during the checks
$report = array();

if ($argc > 1) {
	// script is being run from command line so process data accordingly
	// Remember to finish up the File argument at some point in the future
	// Process the argument, set some defaults for directories if they don't get set. 
	for ($i=1;$i<$argc;$i++){
		switch ($argv[$i]) {
			case "-indir":
				$i++;
				$indir= (file_exists(addslashes($argv[$i]))) ? addslashes($argv[$i]) : "\\.";
				$all_files = scanDirectories($indir);
				$clean_files = str_ireplace($indir, "" , $all_files);
				break;
			case "-debug":
				$i++;
				$debug= addslashes($argv[$i]);
				break;
			case "-list":
				$i++;
				$fileList = (file_exists(addslashes($argv[$i]))) ? addslashes($argv[$i]) : "in_files.txt";
				$clean_files = file($fileList, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
				break;
			case "-log":
				$i++;
				if (!(file_exists(addslashes($argv[$i])))) {
					mkdir(addslashes($argv[$i]),0777, true);
				}
				$logfile= addslashes($argv[$i]);
				break;
			default:
		}
	}
} 

	// read in and build array for lookup of Titles for EMS NG tracks
	$lines_temp=file("C:\\IETM\\HMEEI_IETM\\hmee_ng_titles.txt", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
	$lookTitles = array();
	for ($i=0; $i < count($lines_temp);$i++) {
		$lookTitles[strtok($lines_temp[$i],"\t")] = substr($lines_temp[$i],strpos($lines_temp[$i],"\t")+1);
		// print ("token:".strtok($lines_temp[$i],"\t").":tab location:".strpos($lines_temp[$i],'\t').":second:".substr($lines_temp[$i],strpos($lines_temp[$i],"\t")+1)."<br>\r\n");
	}

	// read in and build array for lookup of EMS-2 graphic to new EMS NG art control number
	$lines_temp=file("C:\\IETM\\build_tools\\check_emsng\\htdocs\\link_report.txt", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
	$lookUp = array();
	for ($i=0; $i < count($lines_temp);$i++) {
		// var_dump($lines_temp[$i]);
		$fileName = strtok($lines_temp[$i],"\t");
		$warning = substr($lines_temp[$i],strpos($lines_temp[$i],"\t")+1);
		// var_dump($fileName, $warning);
		if (stripos($warning, "Multimedia ") ===FALSE) {
			$start = strpos($warning,"(")+1;
			$length = strpos($warning,")")- strpos($warning,"(") - 1;
			$linkName = substr( $warning , $start, $length );
			 // print "filename:".$fileName.":Start:".$start.":Length:".$length.":\r\n".$linkName."\r\n";
			$lookUp[$linkName][$fileName]= TRUE;
			// 
		}
		// print ("token:".strtok($lines_temp[$i],"\t").":tab location:".strpos($lines_temp[$i],'\t').":second:".substr($lines_temp[$i],strpos($lines_temp[$i],"\t")+1)."<br>\r\n");
	}
	 // var_dump($lookUp);
	
	print "Title\tLinked File\tDependencies\r\n";
	foreach ($lookUp as $link =>$tracks) {
		$prtStr = $lookTitles[$link]."\t".$link."\t";
		
		if (count($tracks) > 10) {
			$prtStr = $prtStr.count($tracks)." troubleshooting tracks affected\r\n";
		} else {
			foreach($tracks as $tsTrk => $holder) {
				$prtStr = $prtStr.$tsTrk." ";
			}
			$prtStr = $prtStr."\r\n";
		}
		print $prtStr;

	}


?>